'use strict';

/* globals Drupal,jQuery */
(function (Drupal, $) {

  function onClick(event) {
    event.preventDefault();
    const $unlockLink = $(event.target);
    const confirmationMessage = $unlockLink.prop('title') + "\n\n" + Drupal.t('Are you sure you want to proceed?');
    const $unlockElement = $unlockLink.parent();
    const confirmation = confirm(confirmationMessage);
    if (!confirmation) {
      return false;
    }
    $unlockElement.parent()
      .find('input')
      .each(function (i, inputEl) {
        $(inputEl).prop('disabled', false);
      });
    $unlockElement.hide();
    $unlockElement.parent().removeClass('field-protected');
  }

  /**
   * @todo
   */
  Drupal.behaviors.fieldProtect = {
    attach: (context) => {
      const $unlockElement = $('.unlock-element a', context);
      $unlockElement.once('add-parent-class').parent().parent().addClass('field-protected')
      $('.field-protected input', context).once('disable-inputs').prop('disabled', true);
      $unlockElement.once('bind-click').click(onClick);
    },
  };

}(Drupal, jQuery));
